Foxit PDF SDK

Public Member Functions | List of all members
FSDK.EmbeddedGotoAction Class Reference
Inheritance diagram for FSDK.EmbeddedGotoAction:

## Public Member Functions
| constructor (action)
| Constructor, with parent class object. More...
| GetDestination ()
| Get the destination information which specifies where to jump to in the final target file. More...
| GetDestinationName ()
| Get the destination name which is defined in final target PDF file. More...
| GetNewWindowFlag ()
| Get the flag which is used to decide whether to open the destination document in a new window or not. More...
| GetRootFile ()
| Get the file specification of the root file which is the root file for the target. More...
| GetTarget ()
| Get the target. More...
| SetDestination (destination)
| Set the destination information which specifies where to jump to in the final target file. More...
| SetDestinationName (dest_name)
| Set the destination name. More...
| SetNewWindowFlag (flag)
| Set the flag which is used to decide whether to open the destination document in a new window or not. More...
| SetRootFile (file_specification)
| Set the file specification of the root file which is the root file for the target. More...
| SetTarget (target)
| Set the target. More...
Public Member Functions inherited from FSDK.Action
| constructor (document, action_dict)
| Constructor, with parameters. More...
| GetDict ()
| Get PDF dictionary of current object. More...
| GetDocument ()
| Get the PDF document, to which current action belongs. More...
| GetSubAction (index)
| Get a sub-action by index. More...
| GetSubActionCount ()
| Get the count of sub-actions. More...
| GetType ()
| Get action type. More...
| InsertSubAction (index, sub_action)
| Insert a new sub-action to the location specified by index. More...
| IsEmpty ()
| Check whether current object is empty or not. More...
| RemoveAllSubActions ()
| Remove all the sub-actions. More...
| RemoveSubAction (index)
| Remove a sub-action, specified by index. More...
| SetSubAction (index, sub_action)
| Set a sub-action by index. More...

## Additional Inherited Members
Static Public Member Functions inherited from FSDK.Action
static | Create (document, action_type)
| Create a new action, for specified action type. More...
Static Public Attributes inherited from FSDK.Action
static | e_NewWindowFlagFalse
| Enumeration for new window flag. More...
static | e_NewWindowFlagNone
| No "NewWindow" flag.
static | e_NewWindowFlagTrue
| "NewWindow" flag is true.
static | e_TypeGoto
| Action type: go-to action.
static | e_TypeGoTo3DView
| Action type: go-to-3D-view action.
static | e_TypeGoToE
| Action type: embedded go-to action.
static | e_TypeGoToR
| Action type: remote go-to action.
static | e_TypeHide
| Action type: hide action.
static | e_TypeImportData
| Action type: import-data action.
static | e_TypeJavaScript
| Action type: JavaScript action.
static | e_TypeLaunch
| Action type: launch action.
static | e_TypeMovie
| Action type: movie action.
static | e_TypeNamed
| Action type: named action.
static | e_TypeRendition
| Action type: rendition action.
static | e_TypeResetForm
| Action type: reset-form action.
static | e_TypeSetOCGState
| Action type: set-OCG-state action.
static | e_TypeSound
| Action type: sound action.
static | e_TypeSubmitForm
| Action type: submit-form action.
static | e_TypeThread
| Action type: thread action.
static | e_TypeTrans
| Action type: transition action.
static | e_TypeUnknown
| Enumeration for action type. More...
static | e_TypeURI
| Action type: uniform resource identifier (URI) action.

## Detailed Description

Embedded go-to action is similar to a remote go-to action but allows jumping to or from a PDF file that is embedded in another PDF file. Class FSDK.EmbeddedGotoTarget is derived from FSDK.Action and offers functions to get/set embedded go-to action data.

See also
  FSDK.Action

## Member Function Documentation

## ◆ constructor()

FSDK.EmbeddedGotoAction.constructor | ( | action |  | ) |

Constructor, with parent class object.

Parameters

  [in] | action | Parent class object.

## ◆ GetDestination()

FSDK.EmbeddedGotoAction.GetDestination | ( |  | ) |

Get the destination information which specifies where to jump to in the final target file.

For a embedded go-to action, the destination information can be stored as either a destination object or a destination name:

- If it is a destination object, function FSDK.EmbeddedGotoAction.GetDestination would return a valid destination object.
- If it is a destination name, function FSDK.EmbeddedGotoAction.GetDestinationName would return a valid string, and the destination name would be defined in the final target PDF file.

If the return value of function FSDK.Destination.IsEmpty for the returned destination object is true and function FSDK.EmbeddedGotoAction.GetDestinationName returns an empty string, that means the embedded go-to action does not have any destination information.

Returns
  A destination object. If the return value of function FSDK.Destination.IsEmpty for the returned destination object is true, please try function FSDK.EmbeddedGotoAction.GetDestinationName.

## ◆ GetDestinationName()

FSDK.EmbeddedGotoAction.GetDestinationName | ( |  | ) |

Get the destination name which is defined in final target PDF file.

For a remote go-to action, the destination information can be stored as either a destination object or a destination name:

- If it is a destination object, function FSDK.EmbeddedGotoAction.GetDestination would return a valid destination object.
- If it is a destination name, function FSDK.EmbeddedGotoAction.GetDestinationName would return a valid string, and the destination name would be defined in the target PDF file.

If the return value of function FSDK.Destination.IsEmpty for the returned destination object is true and function FSDK.EmbeddedGotoAction.GetDestinationName returns an empty string, that means the embedded go-to action does not have any destination information.

Returns
  The destination name. If this function returns an empty string, please try function FSDK.EmbeddedGotoAction.GetDestination.

## ◆ GetNewWindowFlag()

FSDK.EmbeddedGotoAction.GetNewWindowFlag | ( |  | ) |

Get the flag which is used to decide whether to open the destination document in a new window or not.

Returns
  The new windows flag. It would be one of following values:
  - FSDK.Action.e_NewWindowFlagTrue means to open the destination document in a new window.
  - FSDK.Action.e_NewWindowFlagFalse means that the destination document replaces current document in the same window.
  - FSDK.Action.e_NewWindowFlagNone means that no such flag and the viewer application should behave in accordance with the current user preference.

## ◆ GetRootFile()

FSDK.EmbeddedGotoAction.GetRootFile | ( |  | ) |

Get the file specification of the root file which is the root file for the target.

Returns
  A non-embedded file specification object. If the return value of function FSDK.FileSpec.IsEmpty for the returned file specification object is true, that means the PDF file which contains current embedded goto action is just the root file for target object.

## ◆ GetTarget()

FSDK.EmbeddedGotoAction.GetTarget | ( |  | ) |

Get the target.

Returns
  An embedded goto target object. If the return value of function FSDK.EmbeddedGotoTarget.IsEmpty for the returned embedded goto target object is true, that means no target.

## ◆ SetDestination()

FSDK.EmbeddedGotoAction.SetDestination | ( | destination |  | ) |

Set the destination information which specifies where to jump to in the final target file.

Parameters

  [in] | destination | A valid destination object to be set.

Returns
  None.

## ◆ SetDestinationName()

FSDK.EmbeddedGotoAction.SetDestinationName | ( | dest_name |  | ) |

Set the destination name.

The destination name should have been in the "Dests" name tree in the target PDF file.

Parameters

  [in] | dest_name | A destination name to be set. It should not be an empty string.

Returns
  None.

## ◆ SetNewWindowFlag()

FSDK.EmbeddedGotoAction.SetNewWindowFlag | ( | flag |  | ) |

Set the flag which is used to decide whether to open the destination document in a new window or not.

Parameters

  [in] | flag | The new window flag. It should be one of following values: FSDK.Action.e_NewWindowFlagTrue means to open the destination document in a new window. FSDK.Action.e_NewWindowFlagFalse means that the destination document replaces current document in the same window. FSDK.Action.e_NewWindowFlagNone means that no such flag and the viewer application should behave in accordance with the current user preference.

Returns
  None.

## ◆ SetRootFile()

FSDK.EmbeddedGotoAction.SetRootFile | ( | file_specification |  | ) |

Set the file specification of the root file which is the root file for the target.

Parameters

  [in] | file_specification | The file specification object: It can be constructed by default constructor and not set any value. In this case, that means the PDF file which contains current embedded goto action is also the root file for target. Otherwise, this should be a valid file specification object, and should represent another file, not an embedded file. The file specification object should be in the same PDF file as current action.

Returns
  None.

## ◆ SetTarget()

FSDK.EmbeddedGotoAction.SetTarget | ( | target |  | ) |

Set the target.

Parameters

  [in] | target | An embedded goto target object. If this is constructed by default constructor and has not been set any value, that means no target.

Returns
  None.